> ## Documentation Index
> Fetch the complete documentation index at: https://uiform-codex-generated-frontend-snippets.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Secret

Create an environment-scoped secret. The value is encrypted and is not returned
by the API.

```python Python theme={null}
secret = client.secrets.create_secret(name="RESEND_API_KEY", value="...")
```

```typescript TypeScript theme={null}
const secret = await client.secrets.create_secret("RESEND_API_KEY", "...");
```

```go Go theme={null}
secret, err := client.Secrets.Create(ctx, &retab.SecretsCreateParams{
	Name: "RESEND_API_KEY",
	Value: "...",
})
```

```java Java theme={null}
// Create a secret with the Retab Java client.
```

```bash cURL theme={null}
curl https://api.retab.com/v1/secrets \
  -H "Authorization: Bearer $RETAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"RESEND_API_KEY","value":"..."}'
```


## OpenAPI

````yaml POST /v1/secrets
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/secrets:
    post:
      tags:
        - Secrets
      summary: Secret.Create
      operationId: create_secret
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSecretRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateSecretRequest:
      properties:
        name:
          type: string
          pattern: ^[A-Za-z_][A-Za-z0-9_]*$
          title: Name
        value:
          type: string
          minLength: 1
          title: Value
      type: object
      required:
        - name
        - value
      title: CreateSecretRequest
    SecretResponse:
      properties:
        secret:
          $ref: '#/components/schemas/Secret'
      type: object
      required:
        - secret
      title: SecretResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    Secret:
      properties:
        name:
          type: string
          pattern: ^[A-Za-z_][A-Za-z0-9_]*$
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the secret was first created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: When the secret value was last updated.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
      type: object
      required:
        - created_at
        - name
        - updated_at
      title: Secret
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````